# $Revision: 1.13 $, $Date: 2010/07/08 08:23:43 $
%define		fname		MyghtyUtils
Summary:	Container and Utility Functions from the Myghty Template Framework
Summary(pl.UTF-8):	Funkcje kontenerowe i narzędziowe z Myghty Template Framework
Name:		python-%{fname}
Version:	0.52
Release:	2
License:	MIT
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/M/MyghtyUtils/%{fname}-%{version}.zip
# Source0-md5:	a15cda5919509024245802f4028b1560
URL:		http://www.myghty.org/
BuildRequires:	python >= 1:2.4
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	unzip
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the set of utility classes used by Myghty templating. Included
are:

container - the Containment system providing back-end neutral
key/value storage, with support for in-memory, DBM files, flat files,
and memcached

buffer - some functions for augmenting file objects

util - various utility functions and objects

synchronizer - provides many reader/single writer synchronization
using either thread mutexes or lockfiles

session - provides a Session interface built upon the Container,
similar interface to mod_python session. Currently needs a
mod_python-like request object, this should be changed to something
more generic.

%description -l pl.UTF-8
Zbiór klas narzędziowych używanych przez szablony Myghty. Zawiera:

container - system kontenerowy zapewniający przechowywanie danych
klucz-wartość niezależnie od backendu, obsługujący pamięć, pliki DBM,
pliki płaskie i memcached

buffer - funkcje dla powiększających się obiektów plikowych

util - różne funkcje i obiekty narzędziowe

synchronizer - synchronizacja dla wielu czytających/jednego piszącego
przy użyciu muteksów wątkowych lub plików blokad

session - interfejs do sesji zbudowany w oparciu o kontener, podobnie
jak sesje mod_python; aktualnie wymaga obiektu żądania podobnego do
mod_pythona, powinno się to zmienić na coś bardziej ogólnego.

%prep
%setup -qn %{fname}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/myghtyutils
%{py_sitescriptdir}/%{fname}-%{version}-py*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-MyghtyUtils.spec,v $
Revision 1.13  2010/07/08 08:23:43  arekm
- release 2

Revision 1.12  2008/12/26 03:12:04  adamg
- release 1; fix previos commit msg

Revision 1.11  2008/12/26 01:52:48  adamg
- release 0.4

Revision 1.10  2007/09/14 17:09:55  beorn
- BR: python downgrade to 2.4 (2.5 is not required)
- Switched to %py_postclean macro

Revision 1.9  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.7  2006/11/28 22:00:18  qboosh
- fixed BRs, killed redundant macros

Revision 1.6  2006/11/20 21:40:17  emes
- req python 2.5

Revision 1.5  2006/11/19 21:28:15  emes
- works with python 2.4, no need to require 2.5

Revision 1.4  2006/11/19 16:02:19  qboosh
- BR: rpm-pythonprov

Revision 1.3  2006/11/19 16:01:55  qboosh
- pl, formatting, python 2.5 for .egg-info

Revision 1.2  2006/11/19 12:50:49  emes
- added breq unzip

Revision 1.1  2006/11/19 03:13:29  emes
- initial release
